API · 2 operationer
pii-api
Genererad ur services/pii-api/openapi.json, kontraktsversion 0.1.0. Auth-modell och anropare står i atlasen.
GET /healthz
Healthz
| Svar | Beskrivning | Kropp |
|---|---|---|
200 | Successful Response | { [nyckel]: string } application/json |
POST /v1/analyze
Analyze
| Parameter | I | Typ | Krävs |
|---|---|---|---|
authorization | header | string | null | nej |
Kropp: AnalyzeRequest application/json
| Svar | Beskrivning | Kropp |
|---|---|---|
200 | Successful Response | AnalyzeResponse application/json |
422 | Validation Error | HTTPValidationError application/json |
Scheman
AnalyzeRequest
| Fält | Typ | Krävs |
|---|---|---|
language | "sv" | nej |
level | "off" | "low" | "medium" | "high" | nej |
texts | string[] | ja |
AnalyzeResponse
| Fält | Typ | Krävs |
|---|---|---|
engine_version | string | ja |
results | TextResult[] | ja |
EntitySpan
| Fält | Typ | Krävs |
|---|---|---|
end | integer | ja |
entity_type | string | ja |
score | number | ja |
start | integer | ja |
HTTPValidationError
| Fält | Typ | Krävs |
|---|---|---|
detail | ValidationError[] | nej |
TextResult
| Fält | Typ | Krävs |
|---|---|---|
entities | EntitySpan[] | ja |
masked_text | string | ja |
ValidationError
| Fält | Typ | Krävs |
|---|---|---|
ctx | object | nej |
input | any | nej |
loc | string | integer[] | ja |
msg | string | ja |
type | string | ja |